#### D.6.19.2 realmorsesplit

Procedure from library `realclassify.lib` (see realclassify_lib).

Usage:
  realmorsesplit(f[, mu]); f poly, mu int

Return:
  a list consisting of the corank of f, the inertia index, an upper bound for the determinacy, and the residual form of f

Note:
  The characteristic of the basering must be zero, the monomial order must be local, f must be contained in maxideal(2) and the Milnor number of f must be finite.
  The Milnor number of f can be provided as an optional parameter in order to avoid that it is computed again.

Example:

    LIB "realclassify.lib";
    ring r = 0, (x,y,z), ds;
    poly f = (x2+3y-2z)^2+xyz-(x-y3+x2z3)^3;
    realmorsesplit(f);
    ==> [1]:
    ==>    2
    ==> [2]:
    ==>    0
    ==> [3]:
    ==>    3
    ==> [4]:
    ==>    -x3+2/3xy2

See also: morsesplit.

User manual for Singular version 4.4.1, 2025, generated by texi2html.